= 0.4.24 =
* IMPROVED: Starter Templates tab is now always shown in the dashboard, with an "Install/Activate plugin" CTA when Customify Starter Sites is not active.

= 0.4.23 =
* NEW: Search scope setting for search header builder items.
* NEW: Color pickers can now follow palette tokens so fields update when the palette changes.
* NEW: Shop archive content spacing control.
* NEW: Per-page transparent header override.
* IMPROVED: Global Button Styling no longer leaks into plugin UI controls.
* IMPROVED: Polished Customizer form controls and search results chrome.
* FIXED: Core blocks spacing issues (Gallery, Columns, Buttons, Query Loop, etc.).
* FIXED: Core Comments blocks styling and related discussion elements.
* FIXED: Various WooCommerce fixes — My Account layout, password toggle, quantity steppers, shop spacing, cart in widget REST.

= 0.4.22 =
* NEW: Native off-canvas cart drawer for the WooCommerce header cart item.
* NEW: Contextual Content Area Spacing — per-context top/bottom content padding (blog, archives, singles, CPTs, WooCommerce) under Layouts, inherit-first defaults.
* NEW: Customizer fonts loaded into the block editor canvas for typography parity.
* IMPROVED: Transparent Header text-color controls for Top/Main/Bottom rows, overriding row item colors while preserving Sticky Header priority.
* IMPROVED: Font Awesome CSS loads async, main stylesheet gains fetchpriority, plus small accessibility fixes.
* IMPROVED: Block vertical rhythm driven by --wp--style--block-gap; root blockGap disabled so element margins own spacing.
* IMPROVED: Requires PHP lowered to 5.3 so PHP 7.x sites can install.
* FIXED: Color palette lost when switching palette presets in the Customizer.
* FIXED: Header Top/Main/Bottom Advanced Styling now live-previews on transparent rows and remains inherited when Transparent Styling values are empty.
* FIXED: Widget Title typography, including letter spacing, now applies consistently across all widget areas.
* FIXED: WooCommerce block quantity stepper and variation table styling; block-owned quantity controls no longer skinned by the theme.
* FIXED: WooCommerce block Product Gallery spacing/margins and standard Add to Cart quantity-field height.
* FIXED: Header cart dropdown/drawer not reacting to WooCommerce block cart add/remove events.
* FIXED: WooCommerce blocks theme compatibility inside the general builder.
* FIXED: Sidebar layout not applying on CPT taxonomy archives.
* FIXED: Footer widget menus — noisy per-item dividers removed, widget-list gap tuned.
* FIXED: Customizer widget edit-shortcut now opens force-hidden footer/header widget areas.
* FIXED: alignleft/alignright images float again instead of stretching full width.

= 0.4.21 =
* NEW: Buttons & Form Fields Customizer section with modernized default style, teal brand color, and refreshed social icons.
* NEW: Typography presets — font-pair quick picks with native tooltips.
* NEW: Multi-unit typography sliders (px, em, rem, unitless).
* NEW: Display-only typography defaults — shown in the UI, not written to theme_mod until edited.
* NEW: Live Style Guide page in the Customizer preview; pencil icons open the matching control popover.
* NEW: Floating "popover chrome" UI for typography, styling (per-tab Normal/Hover), cover background, and social icon modals.
* IMPROVED: Customizer trigger row and slider polish — value row layout, 4px radius, refined triggers and swatches.
* IMPROVED: Search field outline softened and form fields gain subtle inset depth.
* FIXED: Page Header cover/titlebar leaking unrelated content when `page_for_posts` points to an invalid record; titlebar restored on the default single-post case (refs #426).
* FIXED: Single Blog Post Width ignored on no-sidebar posts (saved sites only; live-preview supported).
* FIXED: Button text turning black on sites with light Primary/Secondary that hadn't opted into Palette tokens.
* FIXED: Core image lightbox forced on after update — restored to opt-in default.
* FIXED: WooCommerce block cart quantity stepper +/- inheriting theme button hover/focus.
* FIXED: Blog grid class no longer applied when all responsive breakpoints are 1 column.
* FIXED: Core list block — vertical-only margin; dropped auto horizontal centering.
* FIXED: Redundant tablet horizontal padding override on `.footer--row-inner`.
* FIXED: Customizer Site Icon label clarified; saved font weight roundtrip is lossless.

= 0.4.20 =
* IMPROVED: Typography output streamlined — body and heading tokens shared across related elements, less redundant CSS.
* FIXED: Header top row light skin background now applies correctly (was stuck on Primary color).
* FIXED: WooCommerce cart and result-count templates updated to 10.8.0 — no longer flagged as outdated in WC Status.

= 0.4.19 =
* NEW: Page Header + per-CPT archive sidebar layout overrides for post types with a real archive.
* IMPROVED: Customizer panels regrouped — Content/Plugins/Core, Typography as section, WC under Compatibility.
* IMPROVED: Layouts panel grouped with heading separators; Colors section moved to first General Options entry.
* IMPROVED: CPT gate tightened — utility CPTs dropped from per-type sidebar, Page Header, Page Settings metabox.
* IMPROVED: Typography pipeline overhauled — :root CSS vars, weight backfill, and slider default emission fixes.
* FIXED: Page Header is_tax() now reads its own slice for custom taxonomies (was hardcoded to product_tag).
* FIXED: `.page-cover-inner` margin-top fallback set to 0 so opaque headers don't offset cover content.
* FIXED: Headings h5 / h6 now have SCSS var consumers — were silently no-op in the new typography vars mode.

= 0.4.18 =
* IMPROVED: Footer builder rows made fully generic — Pro's `top` row and any extension-added row now work identically to built-in main/bottom.
* IMPROVED: Dropped unnecessary `!important` on `.alignfull` margins so child themes and user CSS can override the full-bleed behavior through normal cascade.

= 0.4.17 =
* NEW: Two extra Footer Builder row-layout presets for 4-column mode — 40/20/20/20 and 2×2 grid.
* FIXED: Header Search Icon — Icon Size, Icon Padding, and Icon Styling controls now apply to the rendered icon.
* FIXED: Header Search submit button (magnifying glass) vertical alignment with the search input field.
* FIXED: Container width default 1248 + dynamic content-size/wide-size for Narrow layout.
* FIXED: WooCommerce mobile-only styles leaking onto desktop — now scoped to @media (max-width: 560px).
* FIXED: Pro Bridge settings screen 404 on metabox JS/CSS (legacy /assets/ paths replaced with /build/).
* FIXED: Nested lists inside core blocks (Quote, Pullquote, Cover, etc.) inheriting extra .entry-content margin; list-block styling unified under .wp-block-list for editor + frontend parity.
* IMPROVED: Updated color palette customizer settings — live preview without page reload.
* IMPROVED: WooCommerce cart — narrower "remove" column + square quantity picker.
* IMPROVED: Removed orphaned "Shop Buttons" color control from the customizer (unreachable since the unified Colors section in 0.4.15).

= 0.4.16 =
* NEW: Fallback bridge wires legacy Customify Pro (< 0.4.16) into the new dashboard — module toggles and per-module settings work without modifying the Pro plugin.
* FIXED: Theme button styling leaking into WP default block chrome (Search, File, Embed, etc.) in editor + frontend.
* FIXED: Page Header "Cover" and background image disappearing when "Disable Title" is on (0.4.15 regression).
* FIXED: Customizer pencil edit-shortcut not opening the matching header/footer builder item section.

= 0.4.15 =
* NEW: Transparent header feature.
* NEW: Footer Builder V2 with row layout control, gap/padding slider controls and center column grid alignment.
* NEW: Block editor Page Settings panel; modernize Gutenberg support and fix #page-cover visibility.
* NEW: has-page-cover body class; scope transparent header styles.
* NEW: WordPress Font Library and theme.json fonts in the typography picker.
* IMPROVED: Remove "Footer Widget X" placeholder shown to admins in empty footer sidebar columns.
* IMPROVED: WordPress 7.0 ready.
* IMPROVED: Editor style now support customizer settings.
* IMPROVED: Header/footer builder UI — sizing, title display, popover width and column layout.
* IMPROVED: Header layout.
* IMPROVED: Customizer control UI.
* IMPROVED: Decouple Post Content Max Width from .content-inner wrapper; apply theme.json contentSize to frontend .entry-content.
* IMPROVED: Block widget styles and theme.json cleanup for block widget support.
* IMPROVED: Emit .min and unminified assets side-by-side; load per WP_DEBUG. Source maps only in development mode.
* IMPROVED: Font loading — dedupe @font-face with WP core, preconnect Google Fonts, preload body font.
* IMPROVED: Admin dashboard UI refresh.
* FIXED: Reset section not working for option-type / multi-setting controls.
* FIXED: core/image lightbox styling.
* FIXED: Duplicate border for Latest Posts widget.
* FIXED: Footer default padding for tablet/mobile.
* FIXED: Security vulnerabilities found in security review.
* FIXED: Sass deprecation warnings and customify-style CSS handle.
* FIXED: Out of date WooCommerce templates #379.

= 0.4.13 =
* UPDATED: WooCommerce template files.
* FIXED: Product grid mobile columns not changing. 

= 0.4.12 =
* FIXED: Fix security issues.
* FIXED: Invalid limit type passed to wc_get_related_products.

= 0.4.11 =
* UPDATED: WooCommerce template files.
* FIXED: Issue "load_theme_textdomain"

= 0.4.9 =
* UPDATED: WooCommerce template files.

= 0.4.8 =
* UPDATED: WooCommerce template files.

= 0.4.6 =
* IMPROVED: Tested with WordPress 6.5.4
* UPDATED: update Select2
* UPDATED: WooCommerce template files.

= 0.4.5 =
* CHANGE: Change import plugin information.
* IMPROVED: Tested with WordPress 6.5.4

= 0.4.4 =
* UPDATED: WooCommerce template files.
* UPDATED: Update version of fontawesome

= 0.4.3 =
* UPDATED: WooCommerce template files.

= 0.4.2 =
* NEW: Option to show/hide WooCommerce page title and description (Customizer -> WooCommerce ->  Product Catalog  -> Show Woocommerce Page title and description).
* FIXED: Customify is affecting buttons style on Beaver Builder Plugin.

= 0.4.1 =
* IMPROVED: Footer border in dark mode.
* FIXED: WooCommerce outdate.
* FIXED: Header cover condition issues.

= 0.4.0 =
* NEW: Option to disable featured image ratio (Customizer -> Blog Posts -> Media -> Use media ratio).
* IMPROVED: Change menu icon HTML tag from a to button.
* IMPROVED: Updated google fonts
* FIXED: Out of date WooCommerce templates
* FIXED: Font Awesome version 6 missing icons.

= 0.3.9 =
* NEW: Support Font Awesome 6.
* NEW: Mobile menu close after clicking when using link anchor.
* NEW: Support font display swap for google font.
* FIXED: Duplicates product item in shop page when use ajax filter.
* UPDATED: Support widgets block editor.
* IMPROVED: Security check.


= 0.3.7 =
* FIXED: Setting disable page title does not work.
* FIXED: Customizer styling.
* FIXED: Wrong default color in customizer.
* IMPROVED: Footer branch attribute.

= 0.3.6 =
* FIXED: WooCommerce minicart stay opened above the page.

= 0.3.5 =
* UPDATED: Remove deprecated functions.
* UPDATED: WooCommerce template files.

= 0.3.4 =
* NEW: Add site title & tagline color.
* NEW: Add the options Disable Header Top, Main, Bottom.
* NEW: Use builder v2 for default, and keep support v1.
* IMPROVED: Color picker.
* FIXED: Out of date templates for WooCommerce
* FIXED: Header Menu Sidebar not close when click outside on iOS.

= 0.3.3 =
* UPDATED: Author & Documentation URL.

= 0.3.2 =
* IMPROVED: Site content widget title color.

= 0.3.1 =
* NEW: Add Widget Title typography. See in Customize => Typography => Base.
* IMPROVED: Dismiss link for copy settings from parent theme to child theme box.
* FIXED: Position of the 'Lost your password' link on WooCommerce Account page.
* FIXED: The Related Posts excerpt.
* FIXED: The image alignment in post/page content.

= 0.3.0 =
* FIXED: Fix break layout for WooCommerce v3.6.1.
* FIXED: Incorrect hook name.
* FIXED: Row space need to be the same as content.
* FIXED: Menu burger not working with IE11/Edge.
* FIXED: Button color issue.
* FIXED: Hamburger/mobile icon menu not working iOS9.
* FIXED: Header v2 does not work with Header Sticky & Transparent.
* FIXED: Missing margin left for sub-ul in post/page content.
* FIXED: Remove compatible Gutenberg background.

= 0.2.9 =
* NEW: Header Builder version 2.
* NEW: Child theme copy the Customizer settings.
* IMPROVED: Better RTL support.
* IMPROVED: Rename builder item `Logo & Site Identity` to `Logo`.
* FIXED: The Primary Menu typography does not work with menu in Menu Sidebar.
* FIXED: Change the logo alt text.
* FIXED: Shop button color setting does not work.
* FIXED: Multiple header does not work with shortcode has arguments.
* FIXED: Hamburger/mobile icon menu not working iOS9.
* FIXED: Menu burger not working with IE11/Edge.
* FIXED: Escape input placeholder attribute.

= 0.2.8 =
* FIXED: Breadcrumb alignment.
* FIXED: Breadcrumb alignment.
* FIXED: Gutenberg compatible.
* FIXED: Update WooCommerce outdate templates.
* FIXED: Can't zoom on Chrome mobile browser.
* FIXED: Seach icon box issue.

= 0.2.7 =
* FIXED: Issue do not copy parent menu to submenu.
* FIXED: Issue Heading H1 does not apply for entry post title.

= 0.2.6 =
* NEW: Support WordPress 5.0.
* NEW: Support Gutenberg.
* NEW: Remove jQuery.
* NEW: Add support for yoast primary term.
* FIXED: Fix Shopping cart in header not including tax in amount #204.

= 0.2.5 =
* NEW: Add class to check touch screen.
* NEW: Add license file.
* IMPROVED: Improved customize controls.
* IMPROVED: Coding standards.
* FIXED: Fix issue wrong trim product content by more tag.
* FIXED: Fix missing single post pagination.
* FIXED: Full blog post content for post excerpt type.

= 0.2.4 =
* NEW: Add related posts for single post.
* NEW: WooCommerce product onsale bubble styling.
* NEW: WooCommerce custom short description length when shop page is list view.
* IMPROVED: Improved blog posts page.
* IMPROVED: Improved search results page.
* FIXED: Fix issue site title HTML tag name.

= 0.2.3 =
* NEW: Apply the product category thumbnail as page cover image.
* IMPROVED: Footer widget border color on dark mode.
* IMPROVED: Default sub-navigation font size.
* IMPROVED: Shop attributes table style.
* FIXED: Blog meta post is hidden on posts listing page.

= 0.2.2 =
* NEW: Add more theme hooks.
* NEW: Add Arial standard font.
* IMPROVED: Improved WooCommerce cart page.
* IMPROVED: Improved WooCommerce checkout page.
* IMPROVED: Improved WooCommerce product media styling.
* IMPROVED: Improved WooCommerce widgets.
* IMPROVED: Improved post type meta-box.
* IMPROVED: Improved primary navigation style.
* IMPROVED: Improved Default widgets.
* IMPROVED: Improved single post #173.
* IMPROVED: Improved admin dashboard and add changelog menu.
* FIXED: Incorrect single product layout.
* FIXED: Menu item scroll to section on mobile #172.

= 0.2.1 =
* IMPROVED: Revert styling settings for header rows.
* IMPROVED: Improve toggle mobile menu.
* FIXED: Fix issue header row background image not showing.

= 0.2.0 =
* NOTES: This is a major update with new features and Customizer settings re-structure, if you see any visual
changes on the site front-end please go to the Customizer to update options.
* NEW: Skin modes for header and footer rows.
* NEW: [Header Builder] New shopping cart builder item.
* NEW: WooCommerce integration.
* NEW: WooCommerce: Product Catalog Designer.
* NEW: WooCommerce: Single product settings.
* NEW: Add Select2 for typography font families.
* NEW: Add layout setting for Title-bar and Breadcrumb.
* NEW: Add Biography item for single blog post.
* NEW: Add option to always load font awesome.
* NEW: Add filter for header inner class.
* NEW: Add option to change preview url when section/panel open.
* NEW: Add alignment settings for mobile sidebar.
* IMPROVED: Default styling.
* IMPROVED: Header search form and search modal form.
* IMPROVED: Primary navigation style.
* IMPROVED: Nav menu icon.
* IMPROVED: Update color picker support placeholder.
* IMPROVED: Auto CSS - Do not use background settings if no background image selected.
* FIXED: Issue menu item does not jump to that section ID on mobile #117
* FIXED:  Default metabox value for special pages #135
* REMOVED:  Menu Icon default padding.

= 0.1.2 =
* NEW: Support Elementor 2.0
* IMPROVED: Improve typography selectors.
* IMPROVED: Menu navigation.
* FIXED: Error on PHP version under 5.6.20 #116
* FIXED: Mobile menu can't click #108

= 0.1.1 =
 * NEW: Option sidebar settings for custom post types.
 * NEW: Body background settings.
 * NEW: Hook for singular post type content.
 * NEW: Option settings to hide the page title in header cover and tagline.
 * NEW: Add content styling.
 * IMPROVED: Increase the submenu z-index to 99.
 * IMPROVED: Improve core api.
 * FIXED: Single post cover image didn't show when homepage displays as latest posts.
 * FIXED: Single post title issue.
 * FIXED: Duplicate Menu ID in W3C Validate.

= 0.1.0 =
 * NEW: Option to display post excerpt.
 * NEW: Option to hide post media.
 * NEW: Layout settings for footer items.
 * NEW: Body background settings.
 * IMPROVED: Styling config.
 * IMPROVED: Styling sidebar search form.
 * FIXED: post type layout issue.

= 0.0.9 =
 * IMPROVED: Improve dashboard CSS style.
 * IMPROVED: Update new primary color.
 * IMPROVED: Update theme screenshot to matching the default setting.
 * FIXED: Mobile menu icon color issue.
 * ADD: Recommend plugins.

= 0.0.8 =
* UPDATED: Improve theme setting copy, ready for translation.

= 0.0.7 =
* Release!
